Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Which update killed sound in virtualbox-bin? [SOLVED]
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Sat Feb 21, 2009 10:42 pm    Post subject: Which update killed sound in virtualbox-bin? [SOLVED] Reply with quote

OK, this is really bugging me!

Since around Feb 12 or 15, sound stopped working in virtualbox-bin. I'm thinking it had to be a recent update, but I can't figure out which update. I never had this problem before. Sound on the host is just fine.

The error message from virtualbox-bin (windows-xp guest):

Code:
The virtual machine execution may run into an error condition as described below. You may ignore this message, but it is suggested to perform an appropriate action to make sure the described error will not happen.

No audio devices could be opened. Selecting the NULL audio backend with the consequence that no sound is audible.

Error ID: HostAudioNotResponding
Severity: Warning

The virtualbox log:
Code:
...
00:07:47.336 Audio: Trying driver 'alsa'.
00:07:47.336 Audio: set_record_source ars=0 als=0 (not implemented)
00:07:47.351 ALSA: Failed to apply audio parameters
00:07:47.360 ALSA: Failed to apply audio parameters
00:07:47.363 ALSA: Failed to apply audio parameters
00:07:47.365 ALSA: Failed to apply audio parameters
00:07:47.374 ALSA: Failed to apply audio parameters
00:07:47.381 ALSA: Failed to apply audio parameters
00:07:47.381 AC97: WARNING: Unable to open PCM IN!
00:07:47.381 AC97: WARNING: Unable to open PCM MC!
00:07:47.381 AC97: WARNING: Unable to open PCM OUT!
00:07:47.381 Audio: Using NULL audio driver
00:07:47.381 Audio: set_record_source ars=0 als=0 (not implemented)
00:07:47.381 Console: VM runtime error: fatal=false, errorID=HostAudioNotResponding message="No audio devices could be opened. Selecting the NULL audio backend with the consequence that no sound is audible"
...


Update suspects:
qt4 upgrade
glib upgrade
libsdl upgrade

genlop -l
Code:
     Tue Feb 10 08:07:50 2009 >>> sys-apps/module-init-tools-3.5
     Tue Feb 10 08:08:57 2009 >>> net-firewall/iptables-1.4.2-r2
     Wed Feb 11 09:05:40 2009 >>> sys-apps/man-pages-3.17
     Wed Feb 11 09:09:14 2009 >>> dev-lang/python-2.5.2-r7
     Thu Feb 12 10:43:20 2009 >>> media-plugins/live-2008.09.02
     Thu Feb 12 10:44:13 2009 >>> net-misc/rsync-3.0.5
     Thu Feb 12 10:44:45 2009 >>> media-libs/x264-0.0.20081006
     Thu Feb 12 10:45:18 2009 >>> media-sound/twolame-0.3.12
     Thu Feb 12 10:45:58 2009 >>> media-libs/libdv-1.0.0-r2
     Thu Feb 12 10:53:18 2009 >>> x11-libs/qt-core-4.4.2
     Thu Feb 12 10:54:51 2009 >>> x11-libs/qt-dbus-4.4.2
     Thu Feb 12 10:56:04 2009 >>> x11-libs/qt-sql-4.4.2
     Thu Feb 12 10:58:17 2009 >>> x11-libs/qt-script-4.4.2
     Thu Feb 12 10:59:20 2009 >>> x11-libs/qt-test-4.4.2
     Thu Feb 12 10:59:45 2009 >>> www-apps/wordpress-2.7.1
     Thu Feb 12 11:00:18 2009 >>> media-libs/xvid-1.1.3
     Thu Feb 12 11:05:15 2009 >>> media-video/mplayer-1.0_rc2_p28450
     Thu Feb 12 11:20:55 2009 >>> x11-libs/qt-gui-4.4.2-r1
     Thu Feb 12 11:25:59 2009 >>> x11-libs/qt-qt3support-4.4.2
     Thu Feb 12 11:27:15 2009 >>> x11-libs/qt-svg-4.4.2
     Thu Feb 12 11:28:36 2009 >>> x11-libs/qt-opengl-4.4.2
     Thu Feb 12 11:48:33 2009 >>> dev-python/PyQt4-4.4.4-r1
     Sat Feb 14 16:32:42 2009 >>> sys-devel/m4-1.4.12
     Sat Feb 14 16:33:51 2009 >>> sys-fs/e2fsprogs-1.41.3-r1
     Sat Feb 14 16:39:43 2009 >>> media-sound/audacity-1.3.6
     Sat Feb 14 18:24:19 2009 >>> dev-libs/glib-2.16.6
     Sun Feb 15 08:42:28 2009 >>> sys-fs/dosfstools-3.0.1
     Sun Feb 15 08:42:37 2009 >>> app-text/docbook-xml-dtd-4.2-r1
     Sun Feb 15 08:42:58 2009 >>> app-text/xmlto-0.0.18
     Sun Feb 15 08:44:47 2009 >>> net-misc/curl-7.19.3
     Sun Feb 15 08:45:01 2009 >>> sys-power/pm-utils-1.2.3-r1
     Sun Feb 15 08:50:36 2009 >>> dev-util/subversion-1.5.5
     Sun Feb 15 08:50:47 2009 >>> net-print/cups-pdf-2.4.8
     Sun Feb 15 08:52:27 2009 >>> net-misc/openssh-5.1_p1-r2
     Sun Feb 15 12:52:34 2009 >>> net-ftp/tftp-hpa-0.48
     Sun Feb 15 13:33:48 2009 >>> sys-libs/cracklib-2.8.13
     Sun Feb 15 13:34:06 2009 >>> sys-apps/man-1.6f-r3
     Sun Feb 15 13:35:38 2009 >>> media-libs/libsdl-1.2.13-r1
     Sun Feb 15 13:36:24 2009 >>> sys-auth/consolekit-0.2.10

It seemed the qt upgrade wasn't complete the first time, maybe wrong deps or something. I added "glib" to my useflags for qt-core and qt-gui and recompiled. I also tried rolling back glib, libsdl, and consolekit to no avail. Revdep-rebuild helps not.

Anyone else having this problem?


Last edited by overkll on Sat May 09, 2009 3:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
chh
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2002
Posts: 131
Location: Germany

PostPosted: Sun Feb 22, 2009 2:22 pm    Post subject: Reply with quote

Hi,

I got the same error. I do not see which of the updates I did since the last run of virtualbox should have influenced sound (some updates for world including a stepup to xorg-server 1.5)
Tried updating to Virtualbox 1.2.4, no change through that.

Here is my install list since last run:
Code:
Fri Feb 20 20:24:37 2009 >>> media-video/dvdauthor-0.6.14
     Fri Feb 20 20:26:27 2009 >>> app-cdr/k9copy-1.2.4
     Sat Feb 21 21:15:48 2009 >>> dev-db/sqlite-3.6.10
     Sat Feb 21 21:16:08 2009 >>> sys-libs/cracklib-2.8.13
     Sat Feb 21 21:16:18 2009 >>> sys-fs/dosfstools-3.0.1
     Sat Feb 21 21:16:55 2009 >>> sys-devel/m4-1.4.12
     Sat Feb 21 21:17:27 2009 >>> net-misc/rsync-3.0.5
     Sat Feb 21 21:17:39 2009 >>> x11-proto/xproto-7.0.14
     Sat Feb 21 21:17:50 2009 >>> x11-proto/inputproto-1.4.4
     Sat Feb 21 21:17:59 2009 >>> x11-proto/randrproto-1.2.2
     Sat Feb 21 21:18:10 2009 >>> x11-libs/xtrans-1.2.2
     Sat Feb 21 21:18:20 2009 >>> x11-proto/renderproto-0.9.3
     Sat Feb 21 21:18:38 2009 >>> x11-libs/libdrm-2.4.1
     Sat Feb 21 21:18:48 2009 >>> x11-proto/xf86driproto-2.0.4
     Sat Feb 21 21:19:05 2009 >>> x11-libs/libXau-1.0.4
     Sat Feb 21 21:19:15 2009 >>> x11-proto/xextproto-7.0.3
     Sat Feb 21 21:19:27 2009 >>> x11-apps/rgb-1.0.3
     Sat Feb 21 21:21:17 2009 >>> x11-libs/libX11-1.1.5
     Sat Feb 21 21:21:36 2009 >>> x11-libs/libXext-1.0.4
     Sat Feb 21 21:21:54 2009 >>> x11-libs/libXrender-0.9.4
     Sat Feb 21 21:22:09 2009 >>> x11-libs/libXxf86vm-1.0.2
     Sat Feb 21 21:22:22 2009 >>> x11-apps/xauth-1.0.3
     Sat Feb 21 21:23:02 2009 >>> x11-libs/libXfont-1.3.3
     Sat Feb 21 21:23:58 2009 >>> net-misc/openssh-5.1_p1-r2
     Sat Feb 21 21:24:15 2009 >>> x11-misc/xkeyboard-config-1.3
     Sat Feb 21 21:24:32 2009 >>> media-fonts/dejavu-2.21
     Sat Feb 21 21:24:44 2009 >>> sys-apps/man-1.6f-r3
     Sat Feb 21 21:25:03 2009 >>> dev-lang/yasm-0.7.1
     Sat Feb 21 21:25:42 2009 >>> sys-fs/e2fsprogs-1.41.3-r1
     Sat Feb 21 21:27:24 2009 >>> dev-libs/glib-2.16.6
     Sat Feb 21 21:27:37 2009 >>> sys-apps/man-pages-3.17
     Sat Feb 21 21:28:32 2009 >>> net-misc/curl-7.19.3
     Sat Feb 21 21:29:01 2009 >>> sys-auth/consolekit-0.2.10
     Sat Feb 21 21:29:11 2009 >>> app-text/ebook-tools-0.1.1
     Sat Feb 21 21:31:35 2009 >>> dev-util/subversion-1.5.5
     Sat Feb 21 21:33:12 2009 >>> app-text/djvu-3.5.21
     Sat Feb 21 21:33:57 2009 >>> x11-libs/cairo-1.8.0
     Sat Feb 21 21:46:56 2009 >>> net-libs/xulrunner-1.9.0.6
     Sat Feb 21 21:47:48 2009 >>> www-client/mozilla-firefox-3.0.6
     Sat Feb 21 21:51:28 2009 >>> media-sound/audacity-1.3.6
     Sun Feb 22 11:59:11 2009 >>> media-libs/mesa-7.2
     Sun Feb 22 11:59:21 2009 >>> x11-apps/mesa-progs-7.1
     Sun Feb 22 12:00:13 2009 >>> media-libs/libsdl-1.2.13-r1
     Sun Feb 22 12:01:27 2009 >>> sys-apps/hal-0.5.11-r8
     Sun Feb 22 12:01:38 2009 >>> app-misc/hal-info-20081219
     Sun Feb 22 12:01:59 2009 >>> x11-drivers/xf86-video-nv-2.1.12
     Sun Feb 22 12:02:16 2009 >>> x11-drivers/xf86-input-mouse-1.3.0
     Sun Feb 22 12:02:32 2009 >>> x11-libs/libpciaccess-0.10.4
     Sun Feb 22 12:07:25 2009 >>> x11-base/xorg-server-1.5.2
     Sun Feb 22 12:07:41 2009 >>> x11-drivers/xf86-input-keyboard-1.3.1
     Sun Feb 22 12:07:57 2009 >>> x11-drivers/xf86-input-evdev-2.0.6
     Sun Feb 22 12:32:47 2009 >>> kde-base/kdelibs-4.2.0-r3
     Sun Feb 22 12:34:38 2009 >>> kde-base/okular-4.2.0-r1
     Sun Feb 22 12:37:20 2009 >>> kde-base/systemsettings-4.2.0-r1
     Sun Feb 22 12:37:46 2009 >>> kde-base/kdebase-startkde-4.2.0-r1
     Sun Feb 22 12:40:07 2009 >>> kde-base/kdeplasma-addons-4.2.0-r1
     Sun Feb 22 13:05:42 2009 >>> x11-misc/xkeyboard-config-1.4
     Sun Feb 22 13:10:52 2009 >>> x11-base/xorg-server-1.5.3
     Sun Feb 22 13:11:09 2009 >>> x11-drivers/xf86-input-evdev-2.1.2
     Sun Feb 22 15:09:40 2009 >>> app-emulation/virtualbox-modules-2.1.4
     Sun Feb 22 15:10:10 2009 >>> app-emulation/virtualbox-bin-2.1.4
     Sun Feb 22 15:17:17 2009 >>> virtual/perl-Module-Build-0.28.08
     Sun Feb 22 15:17:26 2009 >>> dev-perl/DateManip-5.54
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Sun Feb 22, 2009 4:43 pm    Post subject: Reply with quote

Thanks for your input. At least I'm not the only one.

I forgot to mention that in addition to qt4*, consolekit, and libsdl, I also tried rolling back the hal upgrade as well, but that also didn't help.
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Tue Feb 24, 2009 12:21 am    Post subject: Reply with quote

bump
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Sat Feb 28, 2009 4:52 pm    Post subject: Reply with quote

I seem to have the same problem (I haven't used VB for some time so it's probably what you guys have).

Any know fix?
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Sat Feb 28, 2009 9:26 pm    Post subject: Reply with quote

This is driving me nuts!, so I did some more digging.

My /etc/modprobe.d/alsa file has a modification date of 2/15/2009 @ 11:42 am. I remember that it came up in an etc-update run, and I was puzzled since it wasn't triggered by any alsa related package. So I checked my other machines, and sure enough, the same file was also modified on 2/15/09. So, some other package triggered the modification, but when I look at 'genlop -l | grep "Feb 15"', the time falls between two different 'emerge world -uDN' sessions:

Code:
# genlop -l | grep "Feb 15"
     Sun Feb 15 08:42:28 2009 >>> sys-fs/dosfstools-3.0.1
     Sun Feb 15 08:42:37 2009 >>> app-text/docbook-xml-dtd-4.2-r1
     Sun Feb 15 08:42:58 2009 >>> app-text/xmlto-0.0.18
     Sun Feb 15 08:44:47 2009 >>> net-misc/curl-7.19.3
     Sun Feb 15 08:45:01 2009 >>> sys-power/pm-utils-1.2.3-r1
     Sun Feb 15 08:50:36 2009 >>> dev-util/subversion-1.5.5
     Sun Feb 15 08:50:47 2009 >>> net-print/cups-pdf-2.4.8
     Sun Feb 15 08:52:27 2009 >>> net-misc/openssh-5.1_p1-r2
     Sun Feb 15 12:52:34 2009 >>> net-ftp/tftp-hpa-0.48
     Sun Feb 15 13:24:01 2009 >>> sys-apps/netplug-1.2.9-r4
     Sun Feb 15 13:33:48 2009 >>> sys-libs/cracklib-2.8.13
     Sun Feb 15 13:34:06 2009 >>> sys-apps/man-1.6f-r3
     Sun Feb 15 13:35:38 2009 >>> media-libs/libsdl-1.2.13-r1
     Sun Feb 15 13:36:24 2009 >>> sys-auth/consolekit-0.2.10

This is the case on all three machines! WTF? What triggered the update of /etc/modprobe.d/alsa? No alsa related pkg has been installed since December...
Code:
# genlop -l| grep alsa
     Wed Sep 17 03:07:25 2008 >>> media-sound/alsa-headers-1.0.16
     Wed Sep 17 10:45:50 2008 >>> media-libs/alsa-lib-1.0.16
     Wed Sep 17 10:49:34 2008 >>> media-sound/alsa-utils-1.0.16
     Wed Sep 17 19:34:13 2008 >>> media-plugins/gst-plugins-alsa-0.10.20
     Thu Sep 18 11:03:07 2008 >>> media-sound/alsa-headers-1.0.17
     Thu Sep 18 11:04:38 2008 >>> media-sound/alsa-driver-1.0.17
     Thu Sep 18 15:08:48 2008 >>> media-libs/alsa-lib-1.0.17a
     Thu Sep 18 15:10:11 2008 >>> media-sound/alsa-utils-1.0.17
     Thu Sep 18 17:24:17 2008 >>> media-sound/alsa-headers-1.0.16
     Thu Sep 18 17:25:36 2008 >>> media-libs/alsa-lib-1.0.16
     Thu Sep 18 17:26:11 2008 >>> media-sound/alsa-utils-1.0.16
     Mon Dec 15 10:16:14 2008 >>> media-sound/alsa-headers-1.0.17
     Mon Dec 15 10:18:42 2008 >>> media-libs/alsa-lib-1.0.17a
     Mon Dec 15 10:24:21 2008 >>> media-sound/alsa-utils-1.0.17

Sound works perfectly with all other apps. I was able to get sound in Virtualbox-bin on one machine by setting the audio device to "oss" instead of alsa. On my laptop, that only works if I restart alsa, but that borks my gnome sound theme. I shouldn't have to change to OSS. Alsa was working fine with VB, and I didn't update VB. It's the same version! 2.0.6.

I've also tried rolling back several updates to no avail - qt4*, libsdl, consolekit, module-init-tools, hal, pm-utils. I'd love to file a bug, but I can't fuckin find it!!!!! AND NO, it ain't the kernel-version either.
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Sat Feb 28, 2009 9:32 pm    Post subject: Reply with quote

I doubt it's the modprobe.d thing as I have alsa compiled-in. I just updated all alsa packages to ~arch and will do a restart just to have it all nicely reloaded...

BTW I was using VB-bin-2.0.6 and now I'm using 2.1.4
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Sat Feb 28, 2009 9:39 pm    Post subject: Reply with quote

I don't think the modification of /etc/modprobe.d/alsa is causing the issue, but maybe the pkg that triggered the update is. Can you check time and date on your machine of /etc/modprobe.d/alsa and compare it to your updates?

BTW, I'm using the kernel modules, not the alsa pkg. Kernel is gentoo-sources-2.6.28-r2. Alsa version from that kernel is 1.0.18rc3.

It's as if VB doesn't have permission to access the alsa devices or it can't find them.

EDIT: DOH, you shouldn't even have that file if it's compiled in.
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Sat Feb 28, 2009 10:42 pm    Post subject: Reply with quote

I just upgraded alsa-utils (along with alsa-lib and alsa-headers) so it has todays date - sorry. The OSS workaround is at least something but then I can't use any other sound source until I shut down the virtual machine...

BTW I'm using the same kernel

Those are my merges from about the time you mentioned:
Code:
     Tue Feb 10 00:07:58 2009 >>> cross-i686-mingw32/gcc-4.3.3
     Tue Feb 10 13:02:49 2009 >>> x11-misc/alltray-0.69-r1
     Wed Feb 11 04:55:09 2009 >>> sys-process/lsof-4.81-r2
     Wed Feb 11 04:56:45 2009 >>> net-firewall/iptables-1.4.2-r2
     Wed Feb 11 04:57:26 2009 >>> sys-devel/flex-2.5.35
     Wed Feb 11 04:57:47 2009 >>> sys-apps/module-init-tools-3.5
     Wed Feb 11 05:01:31 2009 >>> dev-lang/python-2.5.2-r7
     Wed Feb 11 05:05:15 2009 >>> net-misc/networkmanager-0.7.0-r2
     Wed Feb 11 05:07:21 2009 >>> dev-libs/gnome-build-0.3.0
     Wed Feb 11 05:28:03 2009 >>> app-pda/libopensync-0.22
     Wed Feb 11 05:28:31 2009 >>> app-pda/msynctool-0.22
     Wed Feb 11 05:28:55 2009 >>> app-pda/libopensync-plugin-python-0.22
     Wed Feb 11 05:29:26 2009 >>> app-pda/libopensync-plugin-evolution2-0.22
     Wed Feb 11 05:57:09 2009 >>> app-pda/libopensync-0.36
     Wed Feb 11 05:57:47 2009 >>> app-pda/msynctool-0.36
     Wed Feb 11 05:58:06 2009 >>> app-pda/libopensync-plugin-python-0.36
     Wed Feb 11 05:58:30 2009 >>> app-pda/libopensync-plugin-evolution2-0.36
     Wed Feb 11 06:03:37 2009 >>> app-pda/multisync-gui-0.92.0_pre20080531
     Wed Feb 11 23:34:12 2009 >>> x11-libs/libdrm-2.4.4
     Wed Feb 11 23:53:06 2009 >>> sys-apps/man-pages-3.17
     Thu Feb 12 00:03:46 2009 >>> x11-libs/qt-core-4.4.2
     Thu Feb 12 00:06:20 2009 >>> x11-libs/qt-script-4.4.2
     Thu Feb 12 00:12:38 2009 >>> x11-libs/qt-xmlpatterns-4.4.2
     Thu Feb 12 00:13:50 2009 >>> x11-libs/qt-test-4.4.2
     Thu Feb 12 00:15:15 2009 >>> x11-libs/qt-sql-4.4.2
     Thu Feb 12 00:17:03 2009 >>> x11-libs/qt-dbus-4.4.2
     Thu Feb 12 00:35:08 2009 >>> x11-libs/qt-gui-4.4.2-r1
     Thu Feb 12 00:41:11 2009 >>> x11-libs/qt-qt3support-4.4.2
     Thu Feb 12 00:57:59 2009 >>> x11-libs/qt-webkit-4.4.2
     Thu Feb 12 00:59:47 2009 >>> x11-libs/qt-opengl-4.4.2
     Thu Feb 12 01:01:28 2009 >>> x11-libs/qt-svg-4.4.2
     Thu Feb 12 01:06:14 2009 >>> x11-libs/qt-assistant-4.4.2-r1
     Thu Feb 12 04:08:19 2009 >>> dev-util/anjuta-2.2.0-r1
     Thu Feb 12 04:08:31 2009 >>> media-libs/fmod-4.21.06
     Thu Feb 12 08:18:31 2009 >>> media-libs/fmod-4.21.06
     Fri Feb 13 01:32:29 2009 >>> net-misc/rsync-3.0.5
     Fri Feb 13 01:33:41 2009 >>> sys-auth/consolekit-0.2.10
     Fri Feb 13 01:41:04 2009 >>> media-video/mplayer-1.0_rc2_p28450
     Mon Feb 16 16:30:17 2009 >>> sys-fs/dosfstools-3.0.1
     Mon Feb 16 16:33:58 2009 >>> dev-libs/nss-3.12.2
     Mon Feb 16 16:34:18 2009 >>> sys-apps/man-1.6f-r3
     Mon Feb 16 16:45:26 2009 >>> dev-libs/glib-2.18.4
     Mon Feb 16 16:46:01 2009 >>> sys-libs/cracklib-2.8.13
     Mon Feb 16 16:48:07 2009 >>> sys-kernel/vanilla-sources-2.6.29_rc5
     Mon Feb 16 16:49:22 2009 >>> sys-fs/e2fsprogs-1.41.3-r1
     Mon Feb 16 17:27:22 2009 >>> sys-libs/glibc-2.8_p20080602-r1
     Mon Feb 16 17:28:50 2009 >>> dev-libs/elfutils-0.131-r2
     Mon Feb 16 17:30:41 2009 >>> net-misc/openssh-5.1_p1-r2
     Mon Feb 16 17:37:36 2009 >>> dev-util/subversion-1.5.5
     Mon Feb 16 17:40:03 2009 >>> net-misc/curl-7.19.3
     Mon Feb 16 17:41:08 2009 >>> media-libs/raptor-1.4.18
     Mon Feb 16 17:43:35 2009 >>> media-sound/kguitar-0.5-r1
     Mon Feb 16 18:04:18 2009 >>> net-libs/xulrunner-1.9.0.6
     Mon Feb 16 18:05:48 2009 >>> www-client/mozilla-firefox-3.0.6
     Mon Feb 16 18:13:25 2009 >>> media-sound/audacity-1.3.6
     Mon Feb 16 18:15:52 2009 >>> media-video/mjpegtools-1.9.0
     Mon Feb 16 18:17:17 2009 >>> media-libs/devil-1.7.7
     Mon Feb 16 19:55:48 2009 >>> app-text/pdfedit-0.4.1
     Mon Feb 16 21:30:05 2009 >>> media-sound/madplay-0.15.2b-r1
     Mon Feb 16 21:30:32 2009 >>> media-libs/libdiscid-0.1.1
     Mon Feb 16 22:06:05 2009 >>> sci-libs/fftw-3.1.2
     Mon Feb 16 22:06:47 2009 >>> media-libs/libofa-0.9.3
     Mon Feb 16 22:33:32 2009 >>> dev-libs/libmowgli-0.7.0
     Mon Feb 16 22:33:56 2009 >>> media-libs/libmms-0.3
     Mon Feb 16 22:34:41 2009 >>> media-libs/libmtp-0.2.6.1
     Mon Feb 16 22:35:00 2009 >>> dev-libs/libmcs-0.7.1-r2
     Mon Feb 16 22:36:37 2009 >>> media-sound/audacious-1.5.1-r1
     Mon Feb 16 22:40:00 2009 >>> media-plugins/audacious-plugins-1.5.1-r3
     Tue Feb 17 00:20:03 2009 >>> media-plugins/gst-plugins-faad-0.10.7
     Tue Feb 17 00:20:16 2009 >>> media-libs/mutagen-1.15
     Tue Feb 17 00:20:42 2009 >>> dev-python/notify-python-0.1.1
     Tue Feb 17 00:20:55 2009 >>> dev-python/cddb-py-1.4
     Tue Feb 17 00:21:26 2009 >>> media-plugins/gst-plugins-musepack-0.10.7
     Tue Feb 17 00:21:35 2009 >>> media-sound/decibel-audio-player-1.00
     Tue Feb 17 15:37:08 2009 >>> sys-kernel/gentoo-sources-2.6.28-r2
     Tue Feb 17 16:00:33 2009 >>> media-libs/fmod-4.21.06
     Tue Feb 17 16:07:25 2009 >>> media-video/transcode-1.0.7
     Tue Feb 17 16:58:17 2009 >>> dev-libs/libgalago-0.5.2
     Tue Feb 17 16:58:38 2009 >>> sys-apps/galago-daemon-0.5.1
     Tue Feb 17 17:02:52 2009 >>> media-video/totem-2.24.3
     Tue Feb 17 17:28:09 2009 >>> dev-cpp/clucene-0.9.21b
     Tue Feb 17 17:33:25 2009 >>> app-misc/strigi-0.6.4
     Tue Feb 17 18:00:17 2009 >>> dev-db/mysql-5.0.70-r1
     Tue Feb 17 18:06:46 2009 >>> kde-base/qimageblitz-0.0.4
     Tue Feb 17 18:07:07 2009 >>> kde-base/automoc-0.9.88
     Tue Feb 17 18:11:38 2009 >>> app-misc/strigi-0.6.4
     Tue Feb 17 18:14:46 2009 >>> dev-libs/soprano-2.2.1
     Tue Feb 17 18:15:51 2009 >>> dev-libs/libical-0.33-r1
     Tue Feb 17 18:17:48 2009 >>> media-sound/phonon-4.3.0
     Tue Feb 17 18:20:21 2009 >>> app-office/akonadi-server-1.1.1
     Tue Feb 17 19:43:25 2009 >>> kde-base/kdelibs-4.2.0-r2
     Tue Feb 17 19:51:06 2009 >>> kde-base/kdepimlibs-4.2.0
     Tue Feb 17 19:52:23 2009 >>> kde-base/kdebase-data-4.2.0
     Tue Feb 17 19:53:16 2009 >>> kde-base/libkworkspace-4.2.0
     Tue Feb 17 20:05:07 2009 >>> kde-base/pykde4-4.2.0
     Tue Feb 17 20:06:42 2009 >>> kde-base/kephal-4.2.0
     Tue Feb 17 20:08:26 2009 >>> kde-base/ksysguard-4.2.0
     Tue Feb 17 20:09:13 2009 >>> kde-base/libplasmaclock-4.2.0
     Tue Feb 17 20:10:10 2009 >>> kde-base/libtaskmanager-4.2.0
     Tue Feb 17 20:11:02 2009 >>> kde-base/kioclient-4.2.0
     Tue Feb 17 20:11:43 2009 >>> kde-base/kde-menu-icons-4.2.0
     Tue Feb 17 20:13:35 2009 >>> kde-base/solid-4.2.0
     Tue Feb 17 20:14:20 2009 >>> kde-base/soliduiserver-4.2.0
     Tue Feb 17 20:23:48 2009 >>> kde-base/plasma-workspace-4.2.0
     Tue Feb 17 21:27:23 2009 >>> dev-db/mysql-5.0.70-r1
     Tue Feb 17 22:19:21 2009 >>> media-sound/amarok-2.0.1.1
     Wed Feb 18 00:18:17 2009 >>> sys-apps/hal-0.5.11-r8
     Wed Feb 18 00:18:32 2009 >>> app-misc/hal-info-20081219
     Sun Feb 22 02:24:53 2009 >>> sys-apps/portage-2.1.6.7
     Sun Feb 22 02:24:53 2009 >>> sys-apps/portage-2.1.6.7
     Sun Feb 22 02:26:20 2009 >>> dev-libs/libmcrypt-2.5.8
     Sun Feb 22 02:26:29 2009 >>> app-admin/php-toolkit-1.0.1
     Sun Feb 22 02:27:02 2009 >>> app-doc/php-docs-20071125-r2
     Sun Feb 22 02:27:24 2009 >>> app-vim/gentoo-syntax-20081006
     Sun Feb 22 02:29:48 2009 >>> app-portage/genlop-0.30.8-r2
     Sun Feb 22 02:36:00 2009 >>> dev-lang/php-5.2.8-r2
     Sun Feb 22 02:37:02 2009 >>> dev-lang/swig-1.3.36
     Sun Feb 22 02:38:41 2009 >>> net-print/cups-1.3.9-r1
     Sun Feb 22 02:42:38 2009 >>> net-ftp/filezilla-3.2.0
     Sun Feb 22 13:46:13 2009 >>> app-misc/mime-types-7
     Sun Feb 22 13:47:11 2009 >>> app-admin/apache-tools-2.2.10
     Sun Feb 22 13:50:42 2009 >>> www-servers/apache-2.2.10
     Sun Feb 22 20:22:45 2009 >>> x11-drivers/xf86-video-intel-2.6.1
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 311

PostPosted: Wed Mar 04, 2009 2:12 am    Post subject: Reply with quote

Not sure if this will be any help, but I recently pooched and rebuilt my gentoo system... the only change from my previous config (other than a new kernel) was adding the amd64 USE flag to my make.conf. Same hardware, same vdis, same vbox version... no sound. The fact that szczerb is running 2.1.4 and the issue persists is not a good sign. I'm running 2.6.27-r8.
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Wed Mar 04, 2009 4:38 am    Post subject: Reply with quote

I'm 99% positive it has nothing to do with virtualbox. I didn't even upgrade VB. One day the sound is fine as usual, then after an emerge update, it's dead. Just need to find the culprit.
Back to top
View user's profile Send private message
overkll
Veteran
Veteran


Joined: 21 Sep 2004
Posts: 1249
Location: Austin, Texas

PostPosted: Wed Mar 04, 2009 4:21 pm    Post subject: Reply with quote

Well, virtualbox-bin-2.1.4 hit portage today. I upgraded and the issue remains. Something is preventing VB from accessing the alsa devices. I even tried manually setting all the sound device permissions to rwxrwxrwx and still no go. @#$%^%&*!!!!
Back to top
View user's profile Send private message
magowiz
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1029
Location: Italy/Milan/Bresso

PostPosted: Wed Mar 04, 2009 5:49 pm    Post subject: Reply with quote

same issue here on amd64 with virtualbox-bin-2.1.4
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Wed Mar 04, 2009 10:50 pm    Post subject: Reply with quote

overkll wrote:
I'm 99% positive it has nothing to do with virtualbox. I didn't even upgrade VB. One day the sound is fine as usual, then after an emerge update, it's dead. Just need to find the culprit.
If it's the only application with a problem (and it is) then I still guess it's VB's fault. Maybe they used some undocumented behaviour of alsa that got changed without notice on the versions we're using?
Back to top
View user's profile Send private message
figueroa
Guru
Guru


Joined: 14 Aug 2005
Posts: 438
Location: GA-USA

PostPosted: Sat Mar 07, 2009 4:22 am    Post subject: Reply with quote

I think I got this tip from the VirtualBox log. Anyway, I don't know the culprit, but if you change your sound setting for the VirtualBox WindowsXP guest to Pulse Audio your sound should work fine. At least that was my experience.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Sat Mar 07, 2009 10:05 am    Post subject: Reply with quote

I don't use PulseAudio and I'm really not happy about VB forceing me to use it...I'll wait for a real solution of the VB-alsa problem, but thanks ;]
Back to top
View user's profile Send private message
cyrre
n00b
n00b


Joined: 02 Jul 2007
Posts: 26

PostPosted: Sat Mar 07, 2009 1:32 pm    Post subject: Reply with quote

I'm experiencing same issues. Sound disappeared when I was running VirtualBox 2.0.6 and I have no idea what caused it.
I recently upgraded to VB 2.1.4 but the issue remains. Sound is working perfectly in all other applications. :evil:

I'm using VirtualBox-bin on amd64.
Back to top
View user's profile Send private message
figueroa
Guru
Guru


Joined: 14 Aug 2005
Posts: 438
Location: GA-USA

PostPosted: Sat Mar 07, 2009 1:36 pm    Post subject: Reply with quote

I don't believe you can blame VirtualBox. I was and am still running virtualbox-bin-1.6.6.

I'm not sure there is a downside to running pulse audio. It seems to be very suitable and well behaved.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
szczerb
Veteran
Veteran


Joined: 24 Feb 2007
Posts: 1706
Location: Poland => Lodz

PostPosted: Sun Mar 08, 2009 1:40 am    Post subject: Reply with quote

figueroa wrote:
I'm not sure there is a downside to running pulse audio. It seems to be very suitable and well behaved.
But why would I want it? I don't need any of it's functionality (obviously, as I'm happy without it).
Back to top
View user's profile Send private message
figueroa
Guru
Guru


Joined: 14 Aug 2005
Posts: 438
Location: GA-USA

PostPosted: Sun Mar 08, 2009 3:51 am    Post subject: Reply with quote

There might be some misunderstanding. You don't have to install media-sound/pulseaudio. See:
Code:

*  media-sound/pulseaudio
      Latest version available: 0.9.9
      Latest version installed: [ Not Installed ]
      Size of files: 1,038 kB
      Homepage:      http://www.pulseaudio.org
      Description:   A networked sound server with an advanced plugin system
      License:       LGPL-2 GPL-2

You just have to select pulseaudio in the settings for your virtualbox guest. It will just work. Therefore, it appears to be a good solution to a problem created by something else.

Today I upgraded to 2.1.4 - sound is still working.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
cyrre
n00b
n00b


Joined: 02 Jul 2007
Posts: 26

PostPosted: Sun Mar 08, 2009 6:31 am    Post subject: Reply with quote

Pulseaudio only works for me if no other application using sound is running. :(
If I start a VM with Pulseaudio, I can't have any sound in my other applications.

figueroa wrote:
There might be some misunderstanding. You don't have to install media-sound/pulseaudio. See:
Code:

*  media-sound/pulseaudio
      Latest version available: 0.9.9
      Latest version installed: [ Not Installed ]
      Size of files: 1,038 kB
      Homepage:      http://www.pulseaudio.org
      Description:   A networked sound server with an advanced plugin system
      License:       LGPL-2 GPL-2

You just have to select pulseaudio in the settings for your virtualbox guest. It will just work. Therefore, it appears to be a good solution to a problem created by something else.

Today I upgraded to 2.1.4 - sound is still working.
Back to top
View user's profile Send private message
joefish
Guru
Guru


Joined: 27 Jan 2004
Posts: 316
Location: New Zealand

PostPosted: Wed Mar 18, 2009 11:45 pm    Post subject: Reply with quote

I also have this problem. Running virtualbox-bin-1.6.6, but in my case on a new install. (Worked fine with sound on my old install). Selecting pulseaudio (or any other option) does not solve the problem for me.
Back to top
View user's profile Send private message
zach9824
n00b
n00b


Joined: 12 Apr 2004
Posts: 37

PostPosted: Thu Mar 19, 2009 12:28 am    Post subject: Reply with quote

The fix for me was to actually install pulseaudio and configure it. I know this may not work for all but you can find the instructions here:

http://en.gentoo-wiki.com/wiki/PulseAudio

I have to say that I actually like the pulse sound server and I am using pulseaudio through alsa where needed, otherwise just using pulse directly.

Seems like a heavy solution but change is sometimes good.
Back to top
View user's profile Send private message
bigsun
n00b
n00b


Joined: 19 Mar 2009
Posts: 2

PostPosted: Thu Mar 19, 2009 9:54 am    Post subject: Reply with quote

I have the same problem about one month,
I see the above post, and dont want to install pulseaudio, I have to turn sound off sound in my guest os.
I guess the problem has something to do with libsdl.
Back to top
View user's profile Send private message
joefish
Guru
Guru


Joined: 27 Jan 2004
Posts: 316
Location: New Zealand

PostPosted: Fri Mar 20, 2009 1:37 am    Post subject: Reply with quote

I really don't want to install Pulseaudio; I don't need it for any other applications, it will only serve to complicate things beyond need.

For the record, I've tried running Virtualbox as root, just in case there was something wrong with permissions. It doesn't seem to make any difference.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum